Retrieve reported beneficiaries by company code
curl --request GET \
--url https://api.rrc.dev.finventi.com/reports/sask/v1/beneficiaries \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rrc.dev.finventi.com/reports/sask/v1/beneficiaries"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rrc.dev.finventi.com/reports/sask/v1/beneficiaries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"codeInForeignCountry": 305697289,
"name": "UAB Inventi",
"dateFrom": "2024-12-18",
"country": "LV",
"beneficiary": {
"type": "F",
"surname": "Jonaitis",
"personCode": 39001011234,
"name": "Jonas",
"birthDate": "1990-05-15",
"addressCountry": "LT",
"address": "Vilnius, Gedimino pr. 1",
"codeCountry": "LT",
"codeInForeignCountry": 39001011234,
"documentType": "LT_PASSPORT",
"documentNumber": "AB123456",
"nationalities": [
"LT"
],
"siv": false
},
"refId": "305697289_20250303_E5D11991C7B74CB0",
"dateTo": "2025-12-31",
"address": "Vilnius, Lvovo g. 25"
}
]Beneficiaries
Get beneficiaries
Retrieve reported beneficiaries by company code.
GET
/
reports
/
sask
/
v1
/
beneficiaries
Retrieve reported beneficiaries by company code
Authorizations
Obtain JWT via client_credentials grant. Required role: MMR_SASK_REPORT
Query Parameters
Company code the beneficiaries were reported under
Response
200 - application/json
OK
Foreign country issued legal entity identification code
Maximum string length:
30Example:
305697289
Legal entity name
Maximum string length:
120Example:
"UAB Inventi"
Date from which the beneficiary relationship is valid
Example:
"2024-12-18"
Country code of the legal entity (ISO 3166-1 alpha-2). Must not be 'LT' — Lithuanian beneficiaries are already known to VMI
Minimum string length:
1Example:
"LV"
Show child attributes
Show child attributes
Unique reference ID of the beneficiary. Store it for future updates or deletions
Example:
"305697289_20250303_E5D11991C7B74CB0"
Date until which the beneficiary relationship is valid
Example:
"2025-12-31"
Address of the beneficiary in free form
Maximum string length:
240Example:
"Vilnius, Lvovo g. 25"
Last modified on August 5, 2026